<template>
    <div class="uk-hidden"></div>
</template>

<script>
import { $$, on } from 'uikit-util';
import fields from '@yootheme/fields';
import { FormControlModal } from '../components';

export default {
    extends: fields.components.FieldText,

    mounted() {
        $$('#yooessentials-form-show-control-names', this.$parent.$el).forEach((n) => {
            on(n, 'click', (e) => {
                e.preventDefault();
                this.showTags();
            });
        });
    },

    methods: {
        showTags() {
            this.$modal(FormControlModal).show();
        },
    },
};
</script>
